classification
Title: --with-lto still implied by --enable-optimizations in Python 2.7
Type: compile error Stage: resolved
Components: Build Versions: Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: Arfrever, Hanno Schlichting, gregory.p.smith
Priority: normal Keywords:

Created on 2017-03-09 01:15 by Hanno Schlichting, last changed 2017-07-14 13:18 by Hanno Schlichting.

Pull Requests
URL Status Linked Edit
PR 1858 merged python-dev, 2017-05-30 01:04
PR 2705 open Hanno Schlichting, 2017-07-14 13:18
Messages (4)
msg289263 - (view) Author: Hanno Schlichting (Hanno Schlichting) * Date: 2017-03-09 01:15
I think the fix for issue28032 wasn't applied correctly to the 2.7 branch.

Compare the change in Python 2.7:

https://github.com/python/cpython/commit/9cbfa79111e7152231556a21af90a220b72ed086#diff-e2d5a00791bce9a01f99bc6fd613a39dL6425

vs. for example Python 3.5:

https://github.com/python/cpython/commit/14c7f71150c94ca35ca913b15c3d0cd236691ed6#diff-e2d5a00791bce9a01f99bc6fd613a39dL6567

In Python 3.5 the Py_LTO='true' line was before the Darwin block and got removed. In Python 2.7 the line was after the block and was left in place.

I'm guessing this was a simply mistake, while backporting the change.
msg294730 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2017-05-30 02:07
New changeset 1f29cefc87c4c2ee629367ebe97a287d8e0b3e29 by Gregory P. Smith (Hanno Schlichting) in branch '2.7':
bpo-29766: Do not force --with-lto to true for --enable-optimizations (#1858)
https://github.com/python/cpython/commit/1f29cefc87c4c2ee629367ebe97a287d8e0b3e29
msg294731 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2017-05-30 02:08
indeed, my mistake in the original backport.  thanks!
msg297996 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2017-07-09 20:57
>     bpo-29766: Do not force --with-lto to true for --enable-optimizations (#1858)
> 
>     This fixes a faulty backport to the Python 2.7 branch only of http://bugs.python.org/issue28032. Details in the bpo-29766.


This commit is still faulty :) .
It changes configure without configure.ac, so this change is lost for these users who locally adjust configure.ac for some reason and regenerate configure with autoconf.
History
Date User Action Args
2017-07-14 13:18:16Hanno Schlichtingsetpull_requests: + pull_request2770
2017-07-09 20:57:04Arfreversetstatus: closed -> open

nosy: + Arfrever
messages: + msg297996

resolution: fixed ->
2017-05-30 02:08:09gregory.p.smithsetstatus: open -> closed
type: compile error
messages: + msg294731

assignee: gregory.p.smith
resolution: fixed
stage: resolved
2017-05-30 02:07:09gregory.p.smithsetmessages: + msg294730
2017-05-30 01:04:03python-devsetpull_requests: + pull_request1941
2017-03-09 01:15:04Hanno Schlichtingcreate